<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Newman Summary Report</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
  <link rel="stylesheet prefetch" href='https://use.fontawesome.com/releases/v5.0.10/css/all.css'>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.13.1/styles/github-gist.min.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/v/bs4/dt-1.10.18/datatables.min.css"/>

<style>
body {
  padding-top:30px;
}

body, html {
  height:100%;
}

.badge-outline-success {
    color: #27ae60;
    border: 1px solid #27ae60;
    background-color: transparent;
}

.badge-outline {
    color: #040411;
    border: 1px solid #040411;
    background-color: transparent;
}

.card {
    overflow:hidden;
}

.card-body .rotate {
    z-index: 8;
    float: right;
    height: 100%;
}

.card-body .rotate i {
    color: rgba(20, 20, 20, 0.15);
    position: absolute;
    left: 0;
    left: auto;
    right: -10px;
    bottom: 0;
    display: block;
    -webkit-transform: rotate(-44deg);
    -moz-transform: rotate(-44deg);
    -o-transform: rotate(-44deg);
    -ms-transform: rotate(-44deg);
    transform: rotate(-44deg);
}
.dyn-height {
    max-height:350px;
    overflow-y:auto;
}

.nav-pills .nav-link.active {
    background-color: transparent!important;
}

.backToTop {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 30px;
  z-index: 99;
  font-size: 18px;
  outline: none;
  cursor: pointer;
  padding: 15px;
  border-radius: 4px;
}

.backToTop:hover {
  background-color: #28a745;
}

#openAll:hover {
  background-color: #28a745;
}

.custom-tab {
    padding: 10px 15px;
    margin-right: 3px;
    border: solid 1px #fff;
    border-bottom: none;
    cursor:pointer;
}
.custom-tab .active {
    border-bottom:solid 1px #032a33;
}

#execution-data {
    padding: 10px;
    border: solid 1px #fff;
    border-top: none;
}

.card-header .fa {
  transition: .3s transform ease-in-out;
}
.card-header .collapsed .fa {
  transform: rotate(90deg);
}

.resultsInfo {
    color: green;
    padding-top: 4px;
}

</style>
</head>
<body>
  <div class="container">
        <div class="card">
        <div class="card-header">
            <ul class="nav nav-pills mb-3 nav-justified" id="pills-tab" role="tablist">
            <li class="nav-item bg-info active" data-toggle="tooltip" title="Click to view the Summary">
                <a class="nav-link text-white" id="pills-summary-tab" data-toggle="pill" href="#pills-summary" role="tab" aria-controls="pills-summary" aria-selected="true">Summary</a>
            </li>
            <li class="nav-item bg-success" data-toggle="tooltip" title="Click to view the Requests">
                <a class="nav-link text-white" id="pills-requests-tab" data-toggle="pill" href="#pills-requests" role="tab" aria-controls="pills-requests" aria-selected="false">Total Requests <span class="badge badge-light">3</span></a>
            </li>
            <li class="nav-item bg-danger" data-toggle="tooltip" title="Click to view the Failed Tests">
                <a class="nav-link text-white" id="pills-failed-tab" data-toggle="pill" href="#pills-failed" role="tab" aria-controls="pills-failed" aria-selected="false">Failed Tests <span class="badge badge-light">0</span></a>
            </li>
            <li class="nav-item bg-warning" data-toggle="tooltip" title="Click to view the Skipped Tests">
                <a class="nav-link text-white" id="pills-skipped-tab" data-toggle="pill" href="#pills-skipped" role="tab" aria-controls="pills-skipped" aria-selected="false">Skipped Tests <span class="badge badge-light">0</span></a>
            </li>
            </ul>
        <div class="tab-content" id="pills-tabContent">
            <div class="tab-pane fade show active" id="pills-summary" role="tabcard" aria-labelledby="pills-summary-tab">
<div class="row">
  <div class="col-md-9 col-lg-12 main">
   <h1 class="display-2 text-center">Newman Run Dashboard</h1>
   <h4 class="text-center">Friday, 29 November 2019 11:06:25</h4>
   <div class="row">
    <div class="col-lg-3 col-md-6">
     <div class="card text-white card-success">
      <div class="card-body bg-success">
       <div class="rotate">
        <i class="fa fa-retweet fa-5x"></i>
       </div>
       <h6 class="text-uppercase">Total Iterations</h6>
       <h1 class="display-1">1</h1>
      </div>
     </div>
    </div>
    <div class="col-lg-3 col-md-6">
     <div class="card text-white card-danger">
      <div class="card-body bg-success">
       <div class="rotate">
        <i class="fa fa-list fa-4x"></i>
       </div>
       <h6 class="text-uppercase">Total Assertions</h6>
       <h1 class="display-1">7</h1>
      </div>
     </div>
    </div>
    <div class="col-lg-3 col-md-6">
     <div class="card text-white card-info">
      <div class="card-body bg-success">
       <div class="rotate">
        <i class="fa fa-plus-circle fa-5x"></i>
       </div>
       <h6 class="text-uppercase">Total Failed Tests</h6>
       <h1 class="display-1">0</h1>
      </div>
     </div>
    </div>
    <div class="col-lg-3 col-md-6">
     <div class="card text-white card-warning">
      <div class="card-body bg-success">
       <div class="rotate">
        <i class="fa fa-share fa-5x"></i>
       </div>
       <h6 class="text-uppercase">Total Skipped Tests</h6>
       <h1 class="display-1">0</h1>
      </div>
     </div>
    </div>
   </div>
   <hr>
    <div class="row">
    <div class="col">
        <div class="row">
        <div class="col-sm-12 mb-3">
            <div class="card border-info">
                <div class="card-body">
                <h5 class="card-title text-uppercase text-white text-center bg-info">File Information</h5>
                <span><i class="fas fa-file-code"></i></span><strong> Collection:</strong> User<br>
                <span><i class="fas fa-file-code"></i></span><strong> Environment:</strong> UserURL<br>
                </div>
            </div>
        </div>
        </div>
        <div class="row">
        <div class="col-sm-12 mb-3">
            <div class="card border-info">
                <div class="card-body">
                <h5 class="card-title text-uppercase text-white text-center bg-info">Timings and Data</h5>
                <span><i class="fas fa-stopwatch"></i></span><strong> Total run duration:</strong> 2.1s<br>
                <span><i class="fas fa-database"></i></span><strong> Total data received:</strong> 3.04KB<br>
                <span><i class="fas fa-stopwatch"></i></span><strong> Average response time:</strong> 614ms<br>
                </div>
            </div>
        </div>
        </div>
        <div class="row">
        <div class="col-sm-12 mb-3">
            <div class="table-responsive">
            <table class="table table-striped table-bordered">
                <thead class="thead-inverse">
                    <tr class="text-center">
                        <th class="text-uppercase">Summary Item</th>
                        <th class="text-uppercase">Total</th>
                        <th class="text-uppercase">Failed</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Requests</td>
                        <td class="text-center">3</td>
                        <td class="text-center">0</td>
                    </tr>
                    <tr>
                        <td>Prerequest Scripts</td>
                        <td class="text-center">0</td>
                        <td class="text-center">0</td>
                    </tr>
                    <tr>
                        <td>Test Scripts</td>
                        <td class="text-center">3</td>
                        <td class="text-center">0</td>
                    </tr>
                    <tr class="">
                        <td>Assertions</td>
                        <td class="text-center">7</td>
                        <td class="text-center">0</td>
                    </tr>
                    <tr class="">
                        <td>Skipped Tests</td>
                        <td class="text-center">0</td>
                        <td class="text-center">-</td>
                    </tr>
                </tbody>
            </table>
            </div>
        </div>
        </div>
    <hr>
   </div>
   </div>
  </div>
 </div>
        </div>
            <div class="tab-pane fade" id="pills-failed" role="tabcard" aria-labelledby="pills-failed-tab">
                <button id="topOfFailuresScreen" class="btn btn-outline-success btn-sm backToTop" onclick="topFunction()">Go To Top</button>
                <div class="alert alert-success text-uppercase text-center">
                     <br><br><h1 class="text-center">There are no failed tests <span><i class="far fa-thumbs-up"></i></span></h1><br><br>
                </div>
            </div>

            <div class="tab-pane fade" id="pills-skipped" role="tabcard" aria-labelledby="pills-skipped-tab">
                <button id="topOfSkippedScreen" class="btn btn-outline-success btn-sm backToTop" onclick="topFunction()">Go To Top</button>
                <div class="alert alert-success text-uppercase text-center">
                    <br><br><h1 class="text-center">There are no skipped tests <span><i class="far fa-thumbs-up"></i></span></h1><br><br>
                </div>
            </div>
            <div class="tab-pane fade" id="pills-logs" role="tabcard" aria-labelledby="pills-logs-tab">
                <button id="topOfLogsScreen" class="btn btn-outline-success btn-sm backToTop" onclick="topFunction()">Go To Top</button>
            </div>
            <div class="tab-pane fade" id="pills-requests" role="tabcard" aria-labelledby="pills-requests-tab">

            <button id="topOfRequestsScreen" class="btn btn-outline-success btn-sm backToTop" onclick="topFunction()">Go To Top</button>
            
            <button id="closeAll" class="btn btn-outline-success btn-sm float-right">Collapse Folders</button>
            <button id="openAll" class="btn btn-outline-success btn-sm float-right">Expand Folders</button>

    <div class="text-uppercase" id="execution-menu">
        <h6>1 Iteration available to view</h6>
        <nav class="table-responsive">
        <ul class="nav nav-tabs">
        </ul>
        </nav>
    </div>
	<div class="tab-content" id="execution-data">
            <div id="folder-70cc1d01-f844-4d27-9188-d168e5f84ca4" class="card-deck iteration-0">
            <div class="row iteration-0">
                <div class="col-sm-12 mb-3 iteration-0">
                <div class="card iteration-0">
                    <div class="card-header  bg-success iteration-0">
                        <a data-toggle="collapse" href="#" data-target="#collapse-70cc1d01-f844-4d27-9188-d168e5f84ca4" aria-expanded="false" aria-controls="collapse" id="requests-70cc1d01-f844-4d27-9188-d168e5f84ca4" class="collapsed text-white z-block">
                    Iteration: 1 - getAllUsers <i class="float-lg-right fa fa-chevron-down"></i>
                </a>
                    </div>
                    <div id="collapse-70cc1d01-f844-4d27-9188-d168e5f84ca4" class="collapse" aria-labelledby="requests-70cc1d01-f844-4d27-9188-d168e5f84ca4">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-sm-12 mb-3">
                                <div class="card-deck">
                                <div class="card border-info" style="width: 50rem;">
                                    <div class="card-body">
                                    <h5 class="card-title text-uppercase text-white text-center bg-info">Request Information</h5>
                                    <span><i class="fas fa-info-circle"></i></span><strong> Request Method:</strong> <span class="badge-outline-success badge badge-success"> GET</span><br>
                                    <span><i class="fas fa-info-circle"></i></span><strong> Request URL:</strong> <a href="localhost:8080/api/users" target="_blank">localhost:8080/api/users</a><br>
                                    </div>
                                </div>
                                <div class="card border-info" style="width: 50rem;">
                                    <div class="card-body">
                                    <h5 class="card-title text-uppercase text-white text-center bg-info">Response Information</h5>
                                    <span><i class="fas fa-info-circle"></i></span><strong> Response Code:</strong> <span class="float-right badge-outline badge badge-success"> 200 - OK</span><br>
                                    <span><i class="fas fa-stopwatch"></i></span><strong> Mean time per request:</strong> <span class="float-right badge-outline badge badge-success"> 251ms</span><br>
                                    <span><i class="fas fa-database"></i></span><strong> Mean size per request:</strong> <span class="float-right badge-outline badge badge-success"> 2.35KB</span><br>
                                    <hr>
                                    <h5 class="card-title text-uppercase text-white text-center bg-info">Test Pass Percentage</h5>
                                    <div>
                                        <div class="progress" style="height: 40px;">
                                            <div class="progress-bar  bg-success" style="width: 100%" role="progressbar">
                                            <h5><strong>100 %</strong></h5>
                                            </div>
                                        </div>
                                    </div>
                                    </div>
                                </div>
                            </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12 mb-3">
                                <div class="card-deck">
                                <div class="card border-info" style="width: 50rem;">
                                    <div class="card-body">
                                        <h5 class="card-title text-uppercase text-white text-center bg-info">Request Headers</h5>
                                        <div class="table-responsive">
                                            <table class="table table-bordered">
                                            <thead class="thead-light text-center"><tr><th>Header Name</th><th>Header Value</th></tr></thead>
                                                <tbody>
                                                    <tr>
                                                        <td class="text-nowrap">User-Agent</td>
                                                        <td>PostmanRuntime/7.18.0</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Accept</td>
                                                        <td>*/*</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Cache-Control</td>
                                                        <td>no-cache</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Postman-Token</td>
                                                        <td>f71f678e-4d8f-4d09-a2c4-2c1457f4ac80</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Host</td>
                                                        <td>localhost:8080</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Accept-Encoding</td>
                                                        <td>gzip, deflate</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Connection</td>
                                                        <td>keep-alive</td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                        <div class="col-sm-12 mb-3">
                            <div class="card-deck">
                            <div class="card border-info" style="width: 50rem;">
                                <div class="card-body">
                                    <h5 class="card-title text-uppercase text-white text-center bg-info">Response Headers</h5>
                                    <div class="table-responsive">
                                        <table class="table table-bordered">
                                        <thead class="thead-light text-center"><tr><th>Header Name</th><th>Header Value</th></tr></thead>
                                            <tbody>
                                                <tr>
                                                    <td class="text-nowrap">X-Content-Type-Options</td>
                                                    <td>nosniff</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">X-XSS-Protection</td>
                                                    <td>1; mode&#x3D;block</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Cache-Control</td>
                                                    <td>no-cache, no-store, max-age&#x3D;0, must-revalidate</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Pragma</td>
                                                    <td>no-cache</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Expires</td>
                                                    <td>0</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">X-Frame-Options</td>
                                                    <td>DENY</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Content-Type</td>
                                                    <td>application/json;charset&#x3D;UTF-8</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Transfer-Encoding</td>
                                                    <td>chunked</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Date</td>
                                                    <td>Fri, 29 Nov 2019 09:06:23 GMT</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            </div>
                        </div>
                        </div>
                        <div class="row">
                        <div class="col-sm-12 mb-3">
                            <div class="card-deck">
                            <div class="card border-info" style="width: 50rem;">
                                <div class="card-body">
                                    <h5 class="card-title text-uppercase text-white text-center bg-info">Response Body</h5>
                                        <div class="dyn-height">
                                                <pre><code id="copyText-c58d2524-8d6f-4e94-8c53-86983332ccf2" class="prettyPrint">[{&quot;createdDate&quot;:null,&quot;updatedDate&quot;:&quot;2019-11-15T17:51:27.000+0000&quot;,&quot;id&quot;:1,&quot;firstName&quot;:&quot;Alexandra&quot;,&quot;lastName&quot;:&quot;dimitrova&quot;,&quot;username&quot;:&quot;aad@gmail.com&quot;,&quot;picture&quot;:{&quot;id&quot;:2,&quot;name&quot;:&quot;aad1gmail1com/avatar.png&quot;},&quot;userProfile&quot;:{&quot;id&quot;:1,&quot;age&quot;:25,&quot;gender&quot;:&quot;female&quot;,&quot;nickname&quot;:&quot;Alex&quot;,&quot;style&quot;:&quot;&quot;,&quot;about&quot;:&quot;Nope.&quot;,&quot;uploadsFolder&quot;:&quot;aad1gmail1com&quot;},&quot;fullName&quot;:&quot;Alexandra dimitrova&quot;},{&quot;createdDate&quot;:null,&quot;updatedDate&quot;:&quot;2019-11-14T14:11:22.000+0000&quot;,&quot;id&quot;:2,&quot;firstName&quot;:&quot;ivan&quot;,&quot;lastName&quot;:&quot;ivanov&quot;,&quot;username&quot;:&quot;ivan@abv.bg&quot;,&quot;picture&quot;:{&quot;id&quot;:1,&quot;name&quot;:&quot;default-avatar.png&quot;},&quot;userProfile&quot;:{&quot;id&quot;:2,&quot;age&quot;:25,&quot;gender&quot;:&quot;male&quot;,&quot;nickname&quot;:&quot;vankata&quot;,&quot;style&quot;:&quot;&quot;,&quot;about&quot;:&quot;Nope.&quot;,&quot;uploadsFolder&quot;:&quot;ivan2abv2bg&quot;},&quot;fullName&quot;:&quot;ivan ivanov&quot;},{&quot;createdDate&quot;:null,&quot;updatedDate&quot;:&quot;2019-11-26T09:18:00.000+0000&quot;,&quot;id&quot;:3,&quot;firstName&quot;:&quot;tester&quot;,&quot;lastName&quot;:&quot;testov&quot;,&quot;username&quot;:&quot;test@test.com&quot;,&quot;picture&quot;:{&quot;id&quot;:4,&quot;name&quot;:&quot;test3test3com/avatar.png&quot;},&quot;userProfile&quot;:{&quot;id&quot;:3,&quot;age&quot;:25,&quot;gender&quot;:&quot;male&quot;,&quot;nickname&quot;:&quot;&quot;,&quot;style&quot;:&quot;&quot;,&quot;about&quot;:&quot;testing stuff&quot;,&quot;uploadsFolder&quot;:&quot;test3test3com&quot;},&quot;fullName&quot;:&quot;tester testov&quot;},{&quot;createdDate&quot;:null,&quot;updatedDate&quot;:&quot;2019-11-20T11:07:27.000+0000&quot;,&quot;id&quot;:4,&quot;firstName&quot;:&quot;Bilyana&quot;,&quot;lastName&quot;:&quot;Hristova&quot;,&quot;username&quot;:&quot;bilyana@test.com&quot;,&quot;picture&quot;:{&quot;id&quot;:1,&quot;name&quot;:&quot;default-avatar.png&quot;},&quot;userProfile&quot;:{&quot;id&quot;:4,&quot;age&quot;:0,&quot;gender&quot;:null,&quot;nickname&quot;:null,&quot;style&quot;:null,&quot;about&quot;:null,&quot;uploadsFolder&quot;:&quot;bilyana4test4com&quot;},&quot;fullName&quot;:&quot;Bilyana Hristova&quot;},{&quot;createdDate&quot;:null,&quot;updatedDate&quot;:&quot;2019-11-25T14:04:26.000+0000&quot;,&quot;id&quot;:5,&quot;firstName&quot;:&quot;Ivan&quot;,&quot;lastName&quot;:&quot;Ivanov&quot;,&quot;username&quot;:&quot;test2@test.com&quot;,&quot;picture&quot;:{&quot;id&quot;:3,&quot;name&quot;:&quot;test20test0com/avatar.png&quot;},&quot;userProfile&quot;:{&quot;id&quot;:5,&quot;age&quot;:15,&quot;gender&quot;:&quot;male&quot;,&quot;nickname&quot;:&quot;hitmen2&quot;,&quot;style&quot;:&quot;&quot;,&quot;about&quot;:&quot;Nope.&quot;,&quot;uploadsFolder&quot;:&quot;test20test0com&quot;},&quot;fullName&quot;:&quot;Ivan Ivanov&quot;},{&quot;createdDate&quot;:null,&quot;updatedDate&quot;:&quot;2019-11-24T15:55:49.000+0000&quot;,&quot;id&quot;:6,&quot;firstName&quot;:&quot;Gosho&quot;,&quot;lastName&quot;:&quot;Sashev&quot;,&quot;username&quot;:&quot;test14@test.com&quot;,&quot;picture&quot;:{&quot;id&quot;:1,&quot;name&quot;:&quot;default-avatar.png&quot;},&quot;userProfile&quot;:{&quot;id&quot;:6,&quot;age&quot;:25,&quot;gender&quot;:&quot;male&quot;,&quot;nickname&quot;:&quot;&quot;,&quot;style&quot;:&quot;&quot;,&quot;about&quot;:&quot;&quot;,&quot;uploadsFolder&quot;:&quot;test141test1com&quot;},&quot;fullName&quot;:&quot;Gosho Sashev&quot;},{&quot;createdDate&quot;:null,&quot;updatedDate&quot;:&quot;2019-11-25T10:32:51.000+0000&quot;,&quot;id&quot;:7,&quot;firstName&quot;:&quot;Petko&quot;,&quot;lastName&quot;:&quot;Hristov&quot;,&quot;username&quot;:&quot;test15@test.com&quot;,&quot;picture&quot;:{&quot;id&quot;:1,&quot;name&quot;:&quot;default-avatar.png&quot;},&quot;userProfile&quot;:{&quot;id&quot;:7,&quot;age&quot;:20,&quot;gender&quot;:&quot;male&quot;,&quot;nickname&quot;:&quot;&quot;,&quot;style&quot;:&quot;&quot;,&quot;about&quot;:&quot;&quot;,&quot;uploadsFolder&quot;:&quot;test152test2com&quot;},&quot;fullName&quot;:&quot;Petko Hristov&quot;}]</code></pre>
                                        </div>
                                        <div class="card-footer">
                                            <button class="btn btn-outline-secondary btn-sm copyButton" type="button" data-clipboard-action="copy" data-clipboard-target="#copyText-c58d2524-8d6f-4e94-8c53-86983332ccf2">Copy to Clipboard</button>
                                        </div>
                                </div>
                            </div>
                            </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="card border-info">
                                <div class="card-body">
                                <h5 class="card-title text-uppercase text-white text-center bg-info">Test Information</h5>
                                    <div class="table-responsive text-nowrap">
                                        <table id="myTable-c58d2524-8d6f-4e94-8c53-86983332ccf2" class="table table-hover">
                                        <thead><tr class="text-center"><th>Name</th><th>Passed</th><th>Failed</th><th>Skipped</th></tr></thead>
                                            <tbody>
                                                <tr>
                                                    <td>Status code is 200</td>
                                                    <td class="text-center bg-success">1</td>
                                                    <td class="text-center ">0</td>
                                                    <td class="text-center ">0</td>
                                                </tr>
                                                <tr>
                                                    <td>Body contains First Name</td>
                                                    <td class="text-center bg-success">1</td>
                                                    <td class="text-center ">0</td>
                                                    <td class="text-center ">0</td>
                                                </tr>
                                                <tr>
                                                    <td>Body contains Last Name</td>
                                                    <td class="text-center bg-success">1</td>
                                                    <td class="text-center ">0</td>
                                                    <td class="text-center ">0</td>
                                                </tr>
                                            </tbody>
                                            <tfoot>
                                                <tr class="bg-light">
                                                    <td><strong>Total</strong></td>
                                                    <td class="text-center">3</td>
                                                    <td class="text-center">0</td>
                                                    <td class="text-center">0</td>
                                                </tr>
                                            </tfoot>
                                        </table>
                                    </div>
                                    <div class="row d-none">
                                    <div class="col-sm-12 mb-3">
                                        <div class="card-deck">
                                        <div class="card border-danger" style="width: 50rem;">
                                            <div class="card-body">
                                                <h5 class="card-title text-uppercase text-white text-center bg-danger">Test Failure</h5>
                                                <div class="table-responsive">
                                                    <table class="table table-hover">
                                                    <thead><tr class="text-nowrap"><th>Test Name</th><th>Assertion Error</th></tr></thead>
                                                        <tbody>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        </div>
                                    </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    </div>
                </div>
                </div>
            </div>
            </div>
            <div id="folder-25f07f73-a5bc-4673-83e1-caa88c1baf94" class="card-deck iteration-0">
            <div class="row iteration-0">
                <div class="col-sm-12 mb-3 iteration-0">
                <div class="card iteration-0">
                    <div class="card-header  bg-success iteration-0">
                        <a data-toggle="collapse" href="#" data-target="#collapse-25f07f73-a5bc-4673-83e1-caa88c1baf94" aria-expanded="false" aria-controls="collapse" id="requests-25f07f73-a5bc-4673-83e1-caa88c1baf94" class="collapsed text-white z-block">
                    Iteration: 1 - getUserById <i class="float-lg-right fa fa-chevron-down"></i>
                </a>
                    </div>
                    <div id="collapse-25f07f73-a5bc-4673-83e1-caa88c1baf94" class="collapse" aria-labelledby="requests-25f07f73-a5bc-4673-83e1-caa88c1baf94">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-sm-12 mb-3">
                                <div class="card-deck">
                                <div class="card border-info" style="width: 50rem;">
                                    <div class="card-body">
                                    <h5 class="card-title text-uppercase text-white text-center bg-info">Request Information</h5>
                                    <span><i class="fas fa-info-circle"></i></span><strong> Request Method:</strong> <span class="badge-outline-success badge badge-success"> GET</span><br>
                                    <span><i class="fas fa-info-circle"></i></span><strong> Request URL:</strong> <a href="localhost:8080/api/users/1" target="_blank">localhost:8080/api/users/1</a><br>
                                    </div>
                                </div>
                                <div class="card border-info" style="width: 50rem;">
                                    <div class="card-body">
                                    <h5 class="card-title text-uppercase text-white text-center bg-info">Response Information</h5>
                                    <span><i class="fas fa-info-circle"></i></span><strong> Response Code:</strong> <span class="float-right badge-outline badge badge-success"> 200 - OK</span><br>
                                    <span><i class="fas fa-stopwatch"></i></span><strong> Mean time per request:</strong> <span class="float-right badge-outline badge badge-success"> 1245ms</span><br>
                                    <span><i class="fas fa-database"></i></span><strong> Mean size per request:</strong> <span class="float-right badge-outline badge badge-success"> 359B</span><br>
                                    <hr>
                                    <h5 class="card-title text-uppercase text-white text-center bg-info">Test Pass Percentage</h5>
                                    <div>
                                        <div class="progress" style="height: 40px;">
                                            <div class="progress-bar  bg-success" style="width: 100%" role="progressbar">
                                            <h5><strong>100 %</strong></h5>
                                            </div>
                                        </div>
                                    </div>
                                    </div>
                                </div>
                            </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12 mb-3">
                                <div class="card-deck">
                                <div class="card border-info" style="width: 50rem;">
                                    <div class="card-body">
                                        <h5 class="card-title text-uppercase text-white text-center bg-info">Request Headers</h5>
                                        <div class="table-responsive">
                                            <table class="table table-bordered">
                                            <thead class="thead-light text-center"><tr><th>Header Name</th><th>Header Value</th></tr></thead>
                                                <tbody>
                                                    <tr>
                                                        <td class="text-nowrap">User-Agent</td>
                                                        <td>PostmanRuntime/7.18.0</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Accept</td>
                                                        <td>*/*</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Cache-Control</td>
                                                        <td>no-cache</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Postman-Token</td>
                                                        <td>75e11908-04fb-4b03-a8d0-5f6a6f27baab</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Host</td>
                                                        <td>localhost:8080</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Accept-Encoding</td>
                                                        <td>gzip, deflate</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Connection</td>
                                                        <td>keep-alive</td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                        <div class="col-sm-12 mb-3">
                            <div class="card-deck">
                            <div class="card border-info" style="width: 50rem;">
                                <div class="card-body">
                                    <h5 class="card-title text-uppercase text-white text-center bg-info">Response Headers</h5>
                                    <div class="table-responsive">
                                        <table class="table table-bordered">
                                        <thead class="thead-light text-center"><tr><th>Header Name</th><th>Header Value</th></tr></thead>
                                            <tbody>
                                                <tr>
                                                    <td class="text-nowrap">X-Content-Type-Options</td>
                                                    <td>nosniff</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">X-XSS-Protection</td>
                                                    <td>1; mode&#x3D;block</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Cache-Control</td>
                                                    <td>no-cache, no-store, max-age&#x3D;0, must-revalidate</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Pragma</td>
                                                    <td>no-cache</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Expires</td>
                                                    <td>0</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">X-Frame-Options</td>
                                                    <td>DENY</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Content-Type</td>
                                                    <td>application/json;charset&#x3D;UTF-8</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Transfer-Encoding</td>
                                                    <td>chunked</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Date</td>
                                                    <td>Fri, 29 Nov 2019 09:06:24 GMT</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            </div>
                        </div>
                        </div>
                        <div class="row">
                        <div class="col-sm-12 mb-3">
                            <div class="card-deck">
                            <div class="card border-info" style="width: 50rem;">
                                <div class="card-body">
                                    <h5 class="card-title text-uppercase text-white text-center bg-info">Response Body</h5>
                                        <div class="dyn-height">
                                                <pre><code id="copyText-1447deda-9425-4fc6-97f3-123666fea6f1" class="prettyPrint">{&quot;createdDate&quot;:null,&quot;updatedDate&quot;:&quot;2019-11-15T17:51:27.000+0000&quot;,&quot;id&quot;:1,&quot;firstName&quot;:&quot;Alexandra&quot;,&quot;lastName&quot;:&quot;dimitrova&quot;,&quot;username&quot;:&quot;aad@gmail.com&quot;,&quot;picture&quot;:{&quot;id&quot;:2,&quot;name&quot;:&quot;aad1gmail1com/avatar.png&quot;},&quot;userProfile&quot;:{&quot;id&quot;:1,&quot;age&quot;:25,&quot;gender&quot;:&quot;female&quot;,&quot;nickname&quot;:&quot;Alex&quot;,&quot;style&quot;:&quot;&quot;,&quot;about&quot;:&quot;Nope.&quot;,&quot;uploadsFolder&quot;:&quot;aad1gmail1com&quot;},&quot;fullName&quot;:&quot;Alexandra dimitrova&quot;}</code></pre>
                                        </div>
                                        <div class="card-footer">
                                            <button class="btn btn-outline-secondary btn-sm copyButton" type="button" data-clipboard-action="copy" data-clipboard-target="#copyText-1447deda-9425-4fc6-97f3-123666fea6f1">Copy to Clipboard</button>
                                        </div>
                                </div>
                            </div>
                            </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="card border-info">
                                <div class="card-body">
                                <h5 class="card-title text-uppercase text-white text-center bg-info">Test Information</h5>
                                    <div class="table-responsive text-nowrap">
                                        <table id="myTable-1447deda-9425-4fc6-97f3-123666fea6f1" class="table table-hover">
                                        <thead><tr class="text-center"><th>Name</th><th>Passed</th><th>Failed</th><th>Skipped</th></tr></thead>
                                            <tbody>
                                                <tr>
                                                    <td>Status code is 200</td>
                                                    <td class="text-center bg-success">1</td>
                                                    <td class="text-center ">0</td>
                                                    <td class="text-center ">0</td>
                                                </tr>
                                                <tr>
                                                    <td>Body contains given userId</td>
                                                    <td class="text-center bg-success">1</td>
                                                    <td class="text-center ">0</td>
                                                    <td class="text-center ">0</td>
                                                </tr>
                                            </tbody>
                                            <tfoot>
                                                <tr class="bg-light">
                                                    <td><strong>Total</strong></td>
                                                    <td class="text-center">2</td>
                                                    <td class="text-center">0</td>
                                                    <td class="text-center">0</td>
                                                </tr>
                                            </tfoot>
                                        </table>
                                    </div>
                                    <div class="row d-none">
                                    <div class="col-sm-12 mb-3">
                                        <div class="card-deck">
                                        <div class="card border-danger" style="width: 50rem;">
                                            <div class="card-body">
                                                <h5 class="card-title text-uppercase text-white text-center bg-danger">Test Failure</h5>
                                                <div class="table-responsive">
                                                    <table class="table table-hover">
                                                    <thead><tr class="text-nowrap"><th>Test Name</th><th>Assertion Error</th></tr></thead>
                                                        <tbody>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        </div>
                                    </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    </div>
                </div>
                </div>
            </div>
            </div>
            <div id="folder-f78fb611-53ff-436e-952a-d552e6e44ca2" class="card-deck iteration-0">
            <div class="row iteration-0">
                <div class="col-sm-12 mb-3 iteration-0">
                <div class="card iteration-0">
                    <div class="card-header  bg-success iteration-0">
                        <a data-toggle="collapse" href="#" data-target="#collapse-f78fb611-53ff-436e-952a-d552e6e44ca2" aria-expanded="false" aria-controls="collapse" id="requests-f78fb611-53ff-436e-952a-d552e6e44ca2" class="collapsed text-white z-block">
                    Iteration: 1 -  searchUserByName <i class="float-lg-right fa fa-chevron-down"></i>
                </a>
                    </div>
                    <div id="collapse-f78fb611-53ff-436e-952a-d552e6e44ca2" class="collapse" aria-labelledby="requests-f78fb611-53ff-436e-952a-d552e6e44ca2">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-sm-12 mb-3">
                                <div class="card-deck">
                                <div class="card border-info" style="width: 50rem;">
                                    <div class="card-body">
                                    <h5 class="card-title text-uppercase text-white text-center bg-info">Request Information</h5>
                                    <span><i class="fas fa-info-circle"></i></span><strong> Request Method:</strong> <span class="badge-outline-success badge badge-success"> GET</span><br>
                                    <span><i class="fas fa-info-circle"></i></span><strong> Request URL:</strong> <a href="localhost:8080/api/users/search?name&#x3D;Test" target="_blank">localhost:8080/api/users/search?name&#x3D;Test</a><br>
                                    </div>
                                </div>
                                <div class="card border-info" style="width: 50rem;">
                                    <div class="card-body">
                                    <h5 class="card-title text-uppercase text-white text-center bg-info">Response Information</h5>
                                    <span><i class="fas fa-info-circle"></i></span><strong> Response Code:</strong> <span class="float-right badge-outline badge badge-success"> 200 - OK</span><br>
                                    <span><i class="fas fa-stopwatch"></i></span><strong> Mean time per request:</strong> <span class="float-right badge-outline badge badge-success"> 346ms</span><br>
                                    <span><i class="fas fa-database"></i></span><strong> Mean size per request:</strong> <span class="float-right badge-outline badge badge-success"> 351B</span><br>
                                    <hr>
                                    <h5 class="card-title text-uppercase text-white text-center bg-info">Test Pass Percentage</h5>
                                    <div>
                                        <div class="progress" style="height: 40px;">
                                            <div class="progress-bar  bg-success" style="width: 100%" role="progressbar">
                                            <h5><strong>100 %</strong></h5>
                                            </div>
                                        </div>
                                    </div>
                                    </div>
                                </div>
                            </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12 mb-3">
                                <div class="card-deck">
                                <div class="card border-info" style="width: 50rem;">
                                    <div class="card-body">
                                        <h5 class="card-title text-uppercase text-white text-center bg-info">Request Headers</h5>
                                        <div class="table-responsive">
                                            <table class="table table-bordered">
                                            <thead class="thead-light text-center"><tr><th>Header Name</th><th>Header Value</th></tr></thead>
                                                <tbody>
                                                    <tr>
                                                        <td class="text-nowrap">User-Agent</td>
                                                        <td>PostmanRuntime/7.18.0</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Accept</td>
                                                        <td>*/*</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Cache-Control</td>
                                                        <td>no-cache</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Postman-Token</td>
                                                        <td>11be866d-95e1-4ce0-89cb-5e475f6ae118</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Host</td>
                                                        <td>localhost:8080</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Accept-Encoding</td>
                                                        <td>gzip, deflate</td>
                                                    </tr>
                                                    <tr>
                                                        <td class="text-nowrap">Connection</td>
                                                        <td>keep-alive</td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                        <div class="col-sm-12 mb-3">
                            <div class="card-deck">
                            <div class="card border-info" style="width: 50rem;">
                                <div class="card-body">
                                    <h5 class="card-title text-uppercase text-white text-center bg-info">Response Headers</h5>
                                    <div class="table-responsive">
                                        <table class="table table-bordered">
                                        <thead class="thead-light text-center"><tr><th>Header Name</th><th>Header Value</th></tr></thead>
                                            <tbody>
                                                <tr>
                                                    <td class="text-nowrap">X-Content-Type-Options</td>
                                                    <td>nosniff</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">X-XSS-Protection</td>
                                                    <td>1; mode&#x3D;block</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Cache-Control</td>
                                                    <td>no-cache, no-store, max-age&#x3D;0, must-revalidate</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Pragma</td>
                                                    <td>no-cache</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Expires</td>
                                                    <td>0</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">X-Frame-Options</td>
                                                    <td>DENY</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Content-Type</td>
                                                    <td>application/json;charset&#x3D;UTF-8</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Transfer-Encoding</td>
                                                    <td>chunked</td>
                                                </tr>
                                                <tr>
                                                    <td class="text-nowrap">Date</td>
                                                    <td>Fri, 29 Nov 2019 09:06:24 GMT</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            </div>
                        </div>
                        </div>
                        <div class="row">
                        <div class="col-sm-12 mb-3">
                            <div class="card-deck">
                            <div class="card border-info" style="width: 50rem;">
                                <div class="card-body">
                                    <h5 class="card-title text-uppercase text-white text-center bg-info">Response Body</h5>
                                        <div class="dyn-height">
                                                <pre><code id="copyText-18fc7dfe-8cfd-419c-a486-2b947a772855" class="prettyPrint">[{&quot;createdDate&quot;:null,&quot;updatedDate&quot;:&quot;2019-11-26T09:18:00.000+0000&quot;,&quot;id&quot;:3,&quot;firstName&quot;:&quot;tester&quot;,&quot;lastName&quot;:&quot;testov&quot;,&quot;username&quot;:&quot;test@test.com&quot;,&quot;picture&quot;:{&quot;id&quot;:4,&quot;name&quot;:&quot;test3test3com/avatar.png&quot;},&quot;userProfile&quot;:{&quot;id&quot;:3,&quot;age&quot;:25,&quot;gender&quot;:&quot;male&quot;,&quot;nickname&quot;:&quot;&quot;,&quot;style&quot;:&quot;&quot;,&quot;about&quot;:&quot;testing stuff&quot;,&quot;uploadsFolder&quot;:&quot;test3test3com&quot;},&quot;fullName&quot;:&quot;tester testov&quot;}]</code></pre>
                                        </div>
                                        <div class="card-footer">
                                            <button class="btn btn-outline-secondary btn-sm copyButton" type="button" data-clipboard-action="copy" data-clipboard-target="#copyText-18fc7dfe-8cfd-419c-a486-2b947a772855">Copy to Clipboard</button>
                                        </div>
                                </div>
                            </div>
                            </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="card border-info">
                                <div class="card-body">
                                <h5 class="card-title text-uppercase text-white text-center bg-info">Test Information</h5>
                                    <div class="table-responsive text-nowrap">
                                        <table id="myTable-18fc7dfe-8cfd-419c-a486-2b947a772855" class="table table-hover">
                                        <thead><tr class="text-center"><th>Name</th><th>Passed</th><th>Failed</th><th>Skipped</th></tr></thead>
                                            <tbody>
                                                <tr>
                                                    <td>Status code is 200</td>
                                                    <td class="text-center bg-success">1</td>
                                                    <td class="text-center ">0</td>
                                                    <td class="text-center ">0</td>
                                                </tr>
                                                <tr>
                                                    <td>Body contains the name</td>
                                                    <td class="text-center bg-success">1</td>
                                                    <td class="text-center ">0</td>
                                                    <td class="text-center ">0</td>
                                                </tr>
                                            </tbody>
                                            <tfoot>
                                                <tr class="bg-light">
                                                    <td><strong>Total</strong></td>
                                                    <td class="text-center">2</td>
                                                    <td class="text-center">0</td>
                                                    <td class="text-center">0</td>
                                                </tr>
                                            </tfoot>
                                        </table>
                                    </div>
                                    <div class="row d-none">
                                    <div class="col-sm-12 mb-3">
                                        <div class="card-deck">
                                        <div class="card border-danger" style="width: 50rem;">
                                            <div class="card-body">
                                                <h5 class="card-title text-uppercase text-white text-center bg-danger">Test Failure</h5>
                                                <div class="table-responsive">
                                                    <table class="table table-hover">
                                                    <thead><tr class="text-nowrap"><th>Test Name</th><th>Assertion Error</th></tr></thead>
                                                        <tbody>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        </div>
                                    </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    </div>
                </div>
                </div>
            </div>
            </div>
        </div>
    </div>
    </div>
    </div>
</body>
</html>


<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.2.1/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/v/bs4/dt-1.10.18/datatables.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.0/clipboard.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/remarkable/1.7.1/remarkable.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.13.1/highlight.min.js"></script>
<script>hljs.initHighlightingOnLoad();</script>


<script>
$(document).ready( function () {
    $('#myTable-c58d2524-8d6f-4e94-8c53-86983332ccf2').DataTable({
        "retrieve": true,
        "paging": false,
        "info": false
    });
});
$(document).ready( function () {
    $('#myTable-1447deda-9425-4fc6-97f3-123666fea6f1').DataTable({
        "retrieve": true,
        "paging": false,
        "info": false
    });
});
$(document).ready( function () {
    $('#myTable-18fc7dfe-8cfd-419c-a486-2b947a772855').DataTable({
        "retrieve": true,
        "paging": false,
        "info": false
    });
});
</script>

<script>
$(document).ready(function() {
    $('[data-toggle="tooltip"]').tooltip({
        trigger : 'hover'
    })
})
</script>

<script>
$('#openAll').on('click', function(e) {
    $('#folder-619289a3-3363-4fee-822b-50d4ae6aa763-iteration-0').removeClass('collapsed')
    $('#folder-collapse-619289a3-3363-4fee-822b-50d4ae6aa763-iteration-0').addClass('show')
})
</script>

<script>
$('#closeAll').on('click', function(e) {
    $('#folder-619289a3-3363-4fee-822b-50d4ae6aa763-iteration-0').addClass('collapsed')
    $('#folder-collapse-619289a3-3363-4fee-822b-50d4ae6aa763-iteration-0').removeClass('show')
})
</script>

<script>
function isJSON(data)
{
    var ret = true;
    try {
            JSON.parse(data);
    }catch(e) {
            ret = false;
    }
    return ret;
}

function isXML(data)
{
    return (data.length > 0 && data[0] === '<');
}

// see https://gist.github.com/sente/1083506/d2834134cd070dbcc08bf42ee27dabb746a1c54d#gistcomment-2254622
function formatXML(data) {
    const PADDING = ' '.repeat(2); // set desired indent size here
    const reg = /(>)(<)(\/*)/g;
    let pad = 0;
    xml = data.replace(reg, '$1\r\n$2$3');

    return xml.split('\r\n').map((node, index) => {
        let indent = 0;
        if (node.match(/.+<\/\w[^>]*>$/)) {
            indent = 0;
        } else if (node.match(/^<\/\w/) && pad > 0) {
            pad -= 1;
        } else if (node.match(/^<\w[^>]*[^\/]>.*$/)) {
            indent = 1;
        } else {
            indent = 0;
        }

        pad += indent;
        return PADDING.repeat(pad - indent) + node;
    }).join('\r\n');
}

$(".prettyPrint").each(function () {
        var data = $(this).text();
        // Verify whether data is JSON
        if(isJSON(data))
        {
                obj = JSON.parse(data);
                data = JSON.stringify(obj, null, 2);
        }
        else if(isXML(data)) {
            data = formatXML(data);            
        }
        $(this).text(data);
});
</script>


<!-- Copy Response Body To Clipboard -->
<script>
    var clipboard = new ClipboardJS('.copyButton');

    clipboard.on('success', function(e) {
        e.clearSelection();
        $(".copyButton").addClass("bg-success text-white")
        e.trigger.textContent = '✔ Copied!';
        window.setTimeout(function() {
            $(".copyButton").removeClass("bg-success text-white")
            e.trigger.textContent = 'Copy to Clipboard';
        }, 2000);
    });
    clipboard.on('error', function(e) {
        e.clearSelection();
        $(".copyButton").addClass("bg-danger text-white")
        e.trigger.textContent = '✗ Not Copied';
        window.setTimeout(function() {
            $(".copyButton").removeClass("bg-danger text-white")
            e.trigger.textContent = 'Copy to Clipboard';
        }, 2000);
    });

</script>

<!-- Render the Description Markdown -->
<script>
    const remarkable = new Remarkable();

    const descriptions = document.querySelectorAll("#description");
    descriptions.forEach(description => {
        description.innerHTML = renderHtmlFromMarkdown(description.textContent);
    });
    function renderHtmlFromMarkdown(markdown) {
        return remarkable.render(trim(markdown));
    }
    function trim(string) {
        return string ? string.replace(/^ +| +$/gm, "") : string;
    }
</script>

<script>
window.onscroll = function() {scrollFunction()};

function scrollFunction() {
  if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
    document.getElementById("topOfRequestsScreen").style.display = "block";
    document.getElementById("topOfFailuresScreen").style.display = "block";
    document.getElementById("topOfSkippedScreen").style.display = "block";
    document.getElementById("topOfLogsScreen").style.display = "block";
    document.getElementById("openAll").style.display = "none";
    document.getElementById("closeAll").style.display = "none";
  } else {
    document.getElementById("topOfRequestsScreen").style.display = "none";
    document.getElementById("topOfFailuresScreen").style.display = "none";
    document.getElementById("topOfSkippedScreen").style.display = "none";
    document.getElementById("topOfLogsScreen").style.display = "none";
    document.getElementById("openAll").style.display = "block";
    document.getElementById("closeAll").style.display = "block";
  }
}

function topFunction() {
  document.body.scrollTop = 0;
  document.documentElement.scrollTop = 0;
}
</script>

<script type="text/javascript">
    "use strict";

window.onload = function () {

  // hides all blocks of response
  var allItems = document.querySelectorAll('[class*=iteration-]');
  allItems.forEach(function(elem){
    elem.style.display = 'none';
  });

   
  let totalIterations = 1;
   

  let menu = document.querySelector('#execution-menu .nav');

  for(var i = 0; i < totalIterations; i++)
  {
    let li = document.createElement('li');
    li.appendChild(document.createTextNode((i + 1)));
    li.setAttribute('id', 'iteration-' + i);
    li.classList.add("custom-tab");

    li.addEventListener('click', function() {

      let allItems = document.querySelectorAll('[class*=iteration-]');
      allItems.forEach(function(elem) {
        elem.style.display = 'none';
      })

      let allMenus = document.querySelectorAll('[id*=iteration-]');
      allMenus.forEach(function(elem){
        elem.style.borderBottom = 'none';
      })

      this.style.borderBottom = 'solid 1px #032a33';

      let items = document.querySelectorAll("." + this.id);
      items.forEach(function(elem) {
        elem.style.display = elem.style.display == 'block' ? 'none' : 'block';
      })
    });

    menu.appendChild(li);
  }

    //shows first tab data
  document.getElementById('iteration-0').click();
}
</script>
